:root {
  --font-chillax: "Chillax", sans-serif;
  --font-poppins: "Poppins", sans-serif;

  --color-0: #ffffff;
  --color-1: #3c0061;
  --color-2: #f6f5fb;
  --color-3: #0081e6;
  --color-4: #c6bee352;
  --color-5: #160323;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: var(--font-chillax);
}

body {
  background-color: var(--color-0);
  color: #1d1d1f;
  font-family: var(--font-chillax);
}

/* Top Bar */
.top-bar {
  max-width: 100%;
  min-width: none;
  object-fit: contain;
}

/* Outer Container */
.outer-container {
  padding: 2rem;
}

/* Main Container */
.container {
  max-width: 520px;
  margin: 0 auto;
  text-align: center;
  margin-top: 1rem;
}

/* Header */
.header {
  display: flex;
  align-items: center;
  gap: 10px;
  justify-content: flex-start;
}

.header h2 {
  font-weight: 500;
  font-size: 20px;
  color: var(--color-1);
}

.subtitle {
  color: var(--color-1);
  font-size: 18px;
  font-weight: 400;
}

/* QR */
.qr-wrapper {
  margin: 48px 0;
}
.qr-wrapper img {
  width: 250px;
  height: 250px;
  object-fit: contain;
}

/* Link Box */
a {
  display: inline-block;
  padding: 12px 20px;
  border: 1px solid var(--color-4);
  border-radius: 8px;
  background-color: var(--color-0);
  color: var(--color-3);
  font-family: var(--font-poppins);
  font-size: 16px;
  font-weight: 400;
  max-width: 100%;
  word-break: break-all;
  white-space: normal;
  text-decoration: none;
}

/* Code Card */
.code-card {
  margin: 1rem 0 2rem 0;
  border: 1px solid var(--color-4);
  background-color: var(--color-2);
  padding: 28px 20px;
  border-radius: 8px;
}

.code {
  font-family: var(--font-poppins);
  font-size: 20px;
  font-weight: 600;
  color: var(--color-5);
  margin-bottom: 1rem;
}

.copy-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  width: 100%;
  background: var(--color-0);
  border: 1px solid var(--color-4);
  padding: 10px 20px;
  border-radius: 8px;
  cursor: pointer;
  font-weight: 500;
  transition: all 0.2s ease;
  font-weight: 500;
  font-size: 16px;
}

.copy-btn:hover {
  background: #f2f2f2;
}

/* Complete Button */
.complete-btn {
  width: 100%;
  padding: 10px 16px;
  background-color: var(--color-1);
  color: var(--color-0);
  border: none;
  border-radius: 8px;
  font-size: 16px;
  font-weight: 500;
  cursor: pointer;
}

@media (max-width: 800px) {
  .top-bar {
    display: none;
  }
  .outer-container {
    padding: 1rem;
  }

  .container {
    margin-top: 3rem;
  }

  .code-card {
    margin-bottom: 4rem;
  }
}
